Bug 163963 - cluster spec files need to clean up correctly after building kernel modules
cluster spec files need to clean up correctly after building kernel modules
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Feist
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-22 09:57 EDT by Troy Dawson
Modified: 2010-01-11 22:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-04 14:21:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Troy Dawson 2005-07-22 09:57:46 EDT
Description of problem:
Source rpm's that build kernel modules leave messy BUILD/smp and BUILD/hugemem
directories when they are done.  These don't get cleaned up, and when you are
building the next rpm that does kernel modules, there is conflicting files, so
the next rpm doesn't build correctly. 

Version-Release number of selected component (if applicable):
cman-kernel-2.6.9-36.0.src.rpm
dlm-kernel-2.6.9-34.0.src.rpm
gnbd-kernel-2.6.9-8.27.src.rpm
GFS-kernel-2.6.9-35.5.src.rpm

How reproducible:
Every time you don't have something that completely cleans your rpm build
enviroment.

Steps to Reproduce:
1. Build one of the rpm's in the above list (I believe
gnbd-kernel-2.6.9-8.27.src.rpm is the first one that will build in a fresh
enviroment)
2. Try to build one of the other rpm's in the above list, without completely
clearing your rpm build enviroment.
3.
  
Actual results:
The build of the second rpm will fail on the smp section.

Expected results:
The rpm should build correctly if all dependancies are met.

Additional info:
Currently in all of the spec files, there is the lines
---------------
%build

BUILD_DIR=`pwd`
cp -r `pwd` ../smp
cp -r `pwd` ../hugemem
----------------

This is fine and the build works.  But the problem lies in that these
directories never get cleaned up, and so the next rpm that get's built just
slaps it's code into the same directories.

There needs to be something in the %clean section that will clean these
directories up.  Something like
------------------
%clean
rm -rf $RPM_BUILD_ROOT
BUILD_DIR=`pwd`
rm -rf `pwd` ../smp
rm -rf `pwd` ../hugemem
-------------------
Comment 1 Chris Feist 2005-08-15 18:36:17 EDT
This has been fixed in the latest GFS-kernel (2.6.9-37.0).  (As well as the
other kernel modules).
Comment 2 Jason Pyeron 2005-08-18 00:12:22 EDT
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/4/en/

does not have the current versions, nor is it in cvs
Comment 3 Chris Feist 2005-08-18 12:10:31 EDT
One the next release of GFS is released updated files should appear on the ftp
site.  CVS should already be updated, which cvs location are you using?
Comment 4 Jason Pyeron 2005-08-18 12:20:20 EDT
:pserver:cvs@sources.redhat.com:/cvs/cluster

tracking HEAD, STABLE, RHEL4
Comment 5 Lon Hohberger 2010-01-04 14:21:10 EST
Fixed in 2.6.9-37.0

Note You need to log in before you can comment on or make changes to this bug.